Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 649518 - net-firewall/firewalld-0.5.1-r2: emake failed: Entity 'errorcodes' not defined
Summary: net-firewall/firewalld-0.5.1-r2: emake failed: Entity 'errorcodes' not defined
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Virtualization Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 649122
  Show dependency tree
 
Reported: 2018-03-04 02:07 UTC by Thomas Deutschmann
Modified: 2018-03-17 00:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,12.09 KB, text/plain)
2018-03-04 02:07 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2018-03-04 02:07:32 UTC
Created attachment 522236 [details]
build.log

> xsltproc -o ../man/man1/firewallctl.1 --nonet --xinclude  transform-man.xsl firewallctl.xml
> warning: failed to load external entity "errorcodes.xml"
> firewallctl.xml:1937: parser error : Failure to process entity errorcodes
>             &errorcodes;
>                         ^
> firewallctl.xml:1937: parser error : Entity 'errorcodes' not defined
>             &errorcodes;
>                         ^
> unable to parse firewallctl.xml
> make[2]: *** [Makefile:616: ../man/man1/firewallctl.1] Error 6
> make[2]: Leaving directory '/var/tmp/portage/net-firewall/firewalld-0.5.1-r2/work/firewalld-0.5.1/doc/xml'
> make[1]: *** [Makefile:354: all-recursive] Error 1
> make[1]: Leaving directory '/var/tmp/portage/net-firewall/firewalld-0.5.1-r2/work/firewalld-0.5.1/doc'
> make: *** [Makefile:394: all-recursive] Error 1
>  * ERROR: net-firewall/firewalld-0.5.1-r2::gentoo failed (compile phase):
>  *   emake failed
> 

Portage 2.3.19 (python 3.5.4-final-0, default/linux/x86/17.0, gcc-6.4.0, glibc-2.25-r10, 4.9.76-gentoo-r1 i686)
=================================================================
System uname: Linux-4.9.76-gentoo-r1-i686-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.4.1
KiB Mem:     3108324 total,   1505088 free
KiB Swap:     488276 total,    488276 free
Timestamp of repository gentoo: Sat, 03 Mar 2018 23:14:41 +0000
Head commit of repository gentoo: aca5ee18c254f7fc5d17e2dbf7d70d27a54dcacb

sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.12::gentoo
sys-devel/autoconf:       2.69-r4::gentoo
sys-devel/automake:       1.9.6-r5::gentoo, 1.10.3-r3::gentoo, 1.12.6-r2::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r10::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ARCH="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class */dropin.cache"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
DEFAULT_ABI="x86"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/6.4.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.29.1/info:/usr/share/info"
INPUT_DEVICES="libinput keyboard mouse"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-chain prefix-guest"
KERNEL="linux"
L10N="en en-US de de-DE"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LIBDIR_x86="lib"
LINGUAS="en de"
LOGNAME="root"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MANPAGER="manpager"
MULTILIB_ABIS="x86"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OLDPWD="/root"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
PHP_TARGETS="php5-6 php7-0"
POSTGRES_TARGETS="postgres9_5"
PWD="/tmp/stable"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_5"
PYTHON_TARGETS="python2_7 python3_5"
QT_GRAPHICSSYSTEM="raster"
ROOT="/"
ROOTPATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
RUBY_TARGETS="ruby22 ruby23"
SHELL="/bin/bash"
SHLVL="2"
SSH_TTY="/dev/pts/0"
TERM="screen"
TMUX="/tmp/tmux-0/default,4816,0"
TMUX_PANE="%0"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
USER="root"
USERLAND="GNU"
VIDEO_CARDS="vmware"
Comment 1 Larry the Git Cow gentoo-dev 2018-03-17 00:27:06 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c4507f1549150876d1474de52df40e553bef446

commit 2c4507f1549150876d1474de52df40e553bef446
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-03-16 23:02:38 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-03-17 00:26:26 +0000

    net-firewall/firewalld: Fix build failure
    
    Closes: https://bugs.gentoo.org/649518
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 .../files/firewalld-0.5.1-errorcodes1.patch        | 48 ++++++++++++++++++++++
 .../files/firewalld-0.5.1-errorcodes2.patch        | 40 ++++++++++++++++++
 net-firewall/firewalld/firewalld-0.5.1-r2.ebuild   |  2 +
 3 files changed, 90 insertions(+)